net.minecraft.inventory

## Class InventoryEnderChest

- java.lang.Object
- - net.minecraft.inventory.InventoryBasic
  - - net.minecraft.inventory.InventoryEnderChest

- All Implemented Interfaces:
    IInventory

      public class InventoryEnderChest
      extends InventoryBasic

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InventoryEnderChest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closeChest()`
    `boolean` | `isStackValidForSlot(int par1, ItemStack par2ItemStack)` Returns true if automation is allowed to insert the given stack (ignoring stack size) into the given slot.
    `boolean` | `isUseableByPlayer(EntityPlayer par1EntityPlayer)` Do not make give this method the name canInteractWith because it clashes with Container
    `void` | `loadInventoryFromNBT(NBTTagList par1NBTTagList)`
    `void` | `openChest()`
    `NBTTagList` | `saveInventoryToNBT()`
    `void` | `setAssociatedChest(TileEntityEnderChest par1TileEntityEnderChest)`

    - ### Methods inherited from class net.minecraft.inventory.InventoryBasic

      `decrStackSize, getInventoryStackLimit, getInvName, getSizeInventory, getStackInSlot, getStackInSlotOnClosing, isInvNameLocalized, onInventoryChanged, setInventorySlotContents`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InventoryEnderChest

          public InventoryEnderChest()

  - ### Method Detail

    - #### setAssociatedChest

          public void setAssociatedChest(TileEntityEnderChest par1TileEntityEnderChest)

    - #### loadInventoryFromNBT

          public void loadInventoryFromNBT(NBTTagList par1NBTTagList)

    - #### saveInventoryToNBT

          public NBTTagList saveInventoryToNBT()

    - #### isUseableByPlayer

          public boolean isUseableByPlayer(EntityPlayer par1EntityPlayer)

      Do not make give this method the name canInteractWith because it clashes with Container
      Specified by:
        `isUseableByPlayer` in interface `IInventory`
      Overrides:
        `isUseableByPlayer` in class `InventoryBasic`

    - #### openChest

          public void openChest()

      Specified by:
        `openChest` in interface `IInventory`
      Overrides:
        `openChest` in class `InventoryBasic`

    - #### closeChest

          public void closeChest()

      Specified by:
        `closeChest` in interface `IInventory`
      Overrides:
        `closeChest` in class `InventoryBasic`

    - #### isStackValidForSlot

          public boolean isStackValidForSlot(int par1,
                                    ItemStack par2ItemStack)

      Returns true if automation is allowed to insert the given stack (ignoring stack size) into the given slot.
      Specified by:
        `isStackValidForSlot` in interface `IInventory`
      Overrides:
        `isStackValidForSlot` in class `InventoryBasic`